# zoxide is a smarter cd command, inspired by z and autojump.
# Ref: https://github.com/ajeetdsouza/zoxide

# Specifies the directory in which the database is stored.
export _ZO_DATA_DIR=${XDG_DATA_HOME}

# Launches zoxide
eval "$(zoxide init bash --cmd cd)"
